Bug 601653 - Suggestion is not properly replaced when a search token has a space in value.
Suggestion is not properly replaced when a search token has a space in value.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
medium Severity high (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2010-06-08 08:19 EDT by Sunil Kondkar
Modified: 2015-02-01 18:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-29 16:21:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (39.71 KB, image/png)
2010-06-08 08:21 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description Sunil Kondkar 2010-06-08 08:19:45 EDT
Description of problem:

When a search expression is entered in searchbar which has a space in value (Ex: type="Apache HTTP Server") and user places cursor in searchbar after the text type="Apache and before the text HTTP Server", it displays suggestions like type="Apache HTTP Server" and type="Apache Virtual Host".

when user selects a suggestion type="Apache Virtual Host", it is not properly replaced. The searchbar displays expression as : type="Apache Virtual Host" HTTP Server".

Please refer the attached screenshot.

Version-Release number of selected component (if applicable):
jon-server-2.4.0.Beta1

How reproducible:
always

Steps to Reproduce:

1. Login to jon.
2. Navigate to 'Resources->All Resources'.
3. Enter in searchbar: type="Apache HTTP Server" and press enter.
4. Place the cursor after the text 'Apache' and before 'http' in search expression.
5. Select the suggestion: type="Apache Virtual Host".
  
Actual results:
Searchbar shows the expression: type="Apache Virtual Host" HTTP Server".

Expected results:
Searchbar should replace the token and should display:  type="Apache Virtual Host".

Additional info:
Comment 1 Sunil Kondkar 2010-06-08 08:21:09 EDT
Created attachment 422159 [details]
Screenshot
Comment 5 Jay Shaughnessy 2014-05-29 16:21:47 EDT
search bar has had many fixes

Note You need to log in before you can comment on or make changes to this bug.